# Repzo API - Banks

OpenAPI specification for Repzo Banks endpoints.

**Version:** 1.0.0

## Overview

### Base URLs

- \*\*\*\*: `https://sv.api.repzo.me`

## Authentication

No authentication required.

## Endpoints

### `/banks`

#### GET /banks

**Summary:** Find banks

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `params` | query | object | No | Query parameters for filtering banks |

##### Responses

**200** - A list of banks

Content-Type: `application/json`

---

#### POST /banks

**Summary:** Create a bank

##### Request Body

**Content Types:**

- `application/json`

##### Responses

**201** - Bank created

Content-Type: `application/json`

---

### `/banks/{id}`

#### GET /banks/{id}

**Summary:** Get a bank by ID

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `id` | path | string | Yes | No description |

##### Responses

**200** - Bank details

Content-Type: `application/json`

---

#### PUT /banks/{id}

**Summary:** Update a bank

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `id` | path | string | Yes | No description |

##### Request Body

**Content Types:**

- `application/json`

##### Responses

**200** - Bank updated

Content-Type: `application/json`

---

#### DELETE /banks/{id}

**Summary:** Remove a bank

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `id` | path | string | Yes | No description |

##### Responses

**200** - Bank removed

Content-Type: `application/json`

---

## Data Models

### BankFindResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | array | No | No description |

| `meta` | object | No | No description |

### BankCreateBody

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `name` | string | No | No description |

| `code` | string | No | No description |

| `country` | string | No | No description |

| `disabled` | boolean | No | No description |

### BankCreateResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | object | No | No description |

### BankGetResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | object | No | No description |

### BankUpdateBody

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `name` | string | No | No description |

| `code` | string | No | No description |

| `country` | string | No | No description |

| `disabled` | boolean | No | No description |

### BankUpdateResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | object | No | No description |

### BankRemoveResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `success` | boolean | No | No description |

### Bank

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `_id` | string | No | No description |

| `name` | string | No | No description |

| `code` | string | No | No description |

| `country` | string | No | No description |

| `disabled` | boolean | No | No description |

| `createdAt` | string | No | No description |

| `updatedAt` | string | No | No description |

## TypeScript Usage

See [banks-examples.md](./banks-examples.md) for detailed TypeScript usage examples.
